Subject: Offline Message from AlBATOUL : Hi I am very upset with the delaying my orde
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 08 Jun 2020 10:19:01 -0000

From: AlBATOUL  <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/shipmenttrack/id/RnQrMUFsMkpOTjZtZUdtZlA1Vm9nUT09/key/2/
Department: 

Hi 
I am very upset with the delaying my order and not answering the email,I have products that have been canceled and I would  
like the refund on the credit card
 This is will be the last time that i’ll order from your website 
If the shipment does not arrive me during this week, I will file a complaint with the Ministry of Commerce 
My order number: 100142501

----
Zopim
https://www.zopim.com